Subject: Re: B20: stdio bugs with 'merge' & 'gzip'
From: Earnie Boyd <[email-masked]>
To: Dmitry Karasik <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 3 Dec 1999 05:11:39 -0800 (PST)

I tried your script, where did you get merge?  I don't have it.

--- Dmitry Karasik <[email-masked]> wrote:
> 
> Hello Earnie!
> 
> > > Maybe that's because I don't use drive mapping in cygnus form, as
> \\drive_d\
> > What was strange was the list not just the entry.  It should have listed
> the
> > mounted directories.  This is due to the fact that you've a snapshot dll
> and
> > things have changed.  You'll need the cygcheck.exe from the cyg-inst
> tarball on
> > the snapshots page to list it correctly.
> 
> Ok, I did ever more - I installed freshest cygnus snapshot:
> Output is following, but the problem persists.
> 
> 
> > Why are you using gzip from b19?  Gzip is distributed with b20.1.  Why not
> use
> > that.
> 
> Because gzip from b20 is buggy. Demonstration is complicated, since it
> requires perl to be installed,
> and I don't feel like finding it, - but it's very similar to 'merge' bug.
> 

There is a bug in the stock b20.1 cygwin1.dll that could cause you to think
that gzip is buggy.  The bug isn't in gzip it is in the cygwin1.dll.  See my
webpage for more details.

> > This would be the problem you had with tar.  YOU SIMPLY CAN'T MIX DLL'S.
> 
> I followed recommendation from cygnus.com how to submit bug report, and I
> thought it will
> help _you_ guys at Cygnus to fix bugs. I didn't expect my letter to be
> answered, but since it was,

I don't work for Cygnus, I'm, we all are netizens just like you, participating
in the cause.  I was trying to help eliminate the known.

> I thought the answer should be relevant. How it could be, that if, for
> example, merge.exe contains
> string 'cygwin1.dll' inside, and contains no reference to 'cygwin19b.dll',
> it will react to absence or presence of
> the latter? Ok, I checked that, I removed cygwin19b.dll - and no difference.
> I do not need advices how to arrange my PATH environment from THAT point of
> view.

If you refuse to take my suggestions, I can no longer help.

> I just asked to run my script and see, whether the bug persists on other
> computers.
> And if it's still impossible, I'd like to have sources of merge.exe, so I
> can remove the bug by myself.
> Thanks for listening.
> 

As far as I can tell merge.exe isn't a part of the Cygwin package.  If you
`cygcheck merge.exe' you'll see a list of dll's the binary is dependant on.  Is
cygwin1.dll one of them?

> Sincerely,
>   Dmitry
> 
> 
> > Cygwin Newbies, please visit
> > <http://www.freeyellow.com/members5/gw32/index.html>
> 
> The link is broken. Maybe microsoft.com will do? :E

Try again.

> 
> ==========================
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Fri Dec 03 09:54:57 1999
> 
> WinNT Ver 4.0 build 1381 Service Pack 6
> 
> Path: /WINNT/system32
>  /WINNT
>  /usr/bin
>  /Program Files/Perforce
>  /perl/.5.00503/bin/MSWin32-x86
>  /program files/devstudio/sharedide/bin/ide
>  /program files/devstudio/sharedide/bin
>  /program files/devstudio/vc/bin
>  /bin
>  /usr/local/bin
>  /usr/local/perl/5.00502/bin
>  /usr/local/perl/5.00502/bin/mswin32-x86
>  /home/Prima/src/auto/Prima
>  .
> 
> SysDir: C:\WINNT\System32
> WinDir: C:\WINNT
> 
> CYGWIN = `tty'
> C_INCLUDE_PATH = `/usr/include;/usr/local/include'
> HOME = `/cygdrive/h/home'
> MAKE_MODE = `unix'
> 
> !C: = `C:\-\-\bin'
> !Z: = `Z:\tmp'
> CLASSPATH = `%QTJava%'
> COMPUTERNAME = `RAVEN'
> COMSPEC = `C:\WINNT\system32\cmd.exe'
> ETC = `c:\etc'
> HOMEDRIVE = `C:'
> HOMEPATH = `\'
> INCLUDE = `c:\program files\devstudio\vc\include;c:\program
> files\devstudio\vc\atl\include;c:\program
> files\devstudio\vc\mfc\include;c:\usr\include;c:\usr\local\include;%include%
> '
> LIB = `c:\program files\devstudio\vc\lib;c:\program
> files\devstudio\vc\mfc\lib;\usr\lib;%lib%'
> LIBEXECDIR = `c:\usr\libexec'
> LOCATE_DB = `/var/locatedb'
> LOCATE_PATH = `/var/locatedb'
> LOGONSERVER = `\\RAVEN'
> MSDEVDIR = `C:\Program Files\DevStudio\SharedIDE'
> NUMBER_OF_PROCESSORS = `1'
> OS = `Windows_NT'
> OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
> PERL5LIB =
> `c:\home\Prima\src;c:\home\Contrib\PrimaApps\lib;C:\usr\local\perl\site\5.00
> 502\lib'
> PRIMA_DEVEL = `1'
> PRIMA_PRIGRAPH = `1'
> PROCESSOR_ARCHITECTURE = `x86'
> PROCESSOR_IDENTIFIER = `x86 Family 6 Model 5 Stepping 0, GenuineIntel'
> PROCESSOR_LEVEL = `6'
> PROCESSOR_REVISION = `0500'
> QTJAVA = `C:\WINNT\System32\QTJava.zip'
> ROOTDIR = `C:/usr/local/lib/dmake'
> RSYNC_RSH = `ssh'
> SYSTEMDRIVE = `C:'
> SYSTEMROOT = `C:\WINNT'
> TEMP = `C:\TEMP'
> TERM = `su'
> TMP = `C:\TEMP'
> TZ = `CET-1CED,3,-1,0,7200,10,-1,0,10800,3600'
> USERDOMAIN = `RAVEN'
> USERNAME = `dk'
> USERPROFILE = `C:\WINNT\Profiles\dk'
> WINDIR = `C:\WINNT'
> 
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000020
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `C:'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/fd0
>   (default) = `\\.\a:'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/fd1
>   (default) = `\\.\b:'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/st0
>   (default) = `\\.\tape0:'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/dev/st1
>   (default) = `\\.\tape1:'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
>   (default) = `\\.\tape1:'
>   unix = `/dev/st1'
>   fbinary = 0x00000000
>   fsilent = 0x00000001
>   fmixed = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
>   (default) = `\\.\tape0:'
>   unix = `/dev/st0'
>   fbinary = 0x00000000
>   fsilent = 0x00000001
>   fmixed = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
>   (default) = `\\.\b:'
>   unix = `/dev/fd1'
>   fbinary = 0x00000000
>   fsilent = 0x00000001
>   fmixed = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
>   (default) = `\\.\a:'
>   unix = `/dev/fd0'
>   fbinary = 0x00000000
>   fsilent = 0x00000001
>   fmixed = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
>   (default) = `C:'
>   unix = `/'
>   fbinary = 0x00000000
>   fsilent = 0x00000000
>   fmixed = 0x00000000
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
> er\Start Menu\&Programs\Cygnus Solutions
>   (default) = (unsupported type)
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\00
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\01
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\02
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\03
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\04
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\05
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\06
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\07
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\08
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\09
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0A
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0B
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0C
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0D
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0E
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\0F
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\10
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\11
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\12
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\13
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\14
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\15
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\16
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\17
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\18
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\19
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\1A
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\1B
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\1C
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL
> setup\b15.0\mounts\1D
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\GNUPro
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\GNUPro\i586-cygwin32
> 
> a:  fd           N/A    N/A
> c:  hd  NTFS    3467Mb  66% CP CS UN PA FC
> d:  hd  FAT      682Mb  59% CP    UN
> e:  hd  FAT       39Mb  32% CP    UN
> f:  cd           N/A    N/A
> h:  net NTFS   101778Mb  92%          PA        dk
> p:  net NTFS   101778Mb  92%          PA        public
> z:  net NTFS      48Mb  51%          PA        rootdir
> 
> \\.\tape0:  /dev/st0  user    textmode
> \\.\tape1:  /dev/st1  user    textmode
> \\.\a:  /dev/fd0  user    textmode
> \\.\b:  /dev/fd1  user    textmode
> C:    /        user    textmode
> 
> Found: C:\usr\bin\bash.exe
> Found: C:\usr\bin\cat.exe
> Found: C:\usr\bin\cpp.exe
> Found: C:\usr\bin\find.exe
> Found: C:\usr\bin\gcc.exe
> Found: C:\usr\bin\gdb.exe
> Found: C:\usr\bin\ld.exe
> Found: C:\usr\bin\ls.exe
> Found: C:\usr\bin\make.exe
> Found: C:\usr\bin\sh.exe
> Found: C:\bin\sh.exe
> Warning: C:\usr\bin\sh.exe hides C:\bin\sh.exe
> Found: \bin\sh.exe
> Warning: C:\usr\bin\sh.exe hides \bin\sh.exe
> 
>   533k 1999/12/02 .\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=1999/12/2 5:22
>   533k 1999/12/02 .\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=1999/12/2 5:22
>   371k 1998/12/01 C:\usr\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=1998/12/1 8:25
>     5k 1998/12/01 C:\usr\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
>    10k 1998/12/01 C:\usr\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=1998/12/1 8:25
>   600k 1998/12/01 C:\usr\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=1998/12/1 8:28
>   446k 1998/12/03 C:\usr\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=1998/12/4 4:39
>   386k 1998/02/26 C:\usr\bin\cygwinb19.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwinb19.dll" v0.0 ts=1998/2/25 10:22
> Use -h to see help about each section
> 
> 
> 

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]